Blog Details

Zest LogicAction Scheduler requirements changed.
zlogicmaster September 20, 2021
Photo by Daniel Fazio on Unsplash

Action Scheduler is an open-source WordPress library that processes emails, subscriptions, and other periodic events in WooCommerce. The developers of the project claim that it is already used on tens of thousands of production sites. It is widespread, and that’s why such a significant change should be taken into account.

Recently the plugin was updated to version 3.3.0. The update included significant changes which can be implemented on a new basis only. The requirements now are as follows:

  • PHP 5.6 (the previous version was compatible with 5.3).
  • WordPress 5.2 (the previous version was compatible with 4.7).

Considering the significant role of this plugin, it is essential to double-check your system’s compatibility. An uncontrolled update may break subscriptions and email notifications on your site. Please note that the change will affect any sites where Action Scheduler is included in one of the themes or plugins so that an extra safety check will be useful.